from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XNumberFormatter(XInterface, Protocol):
    def attachNumberFormatsSupplier(self, xSupplier: XNumberFormatsSupplier) -> None: ...
    def getNumberFormatsSupplier(self) -> XNumberFormatsSupplier: ...
    def convertNumberToString(self, nKey: int, fValue: float) -> str: ...
    def queryColorForNumber(self, nKey: int, fValue: float, aDefaultColor: Color) -> Color: ...
    def formatString(self, nKey: int, aString: str) -> str: ...
    def queryColorForString(self, nKey: int, aString: str, aDefaultColor: Color) -> Color: ...
    def getInputString(self, nKey: int, fValue: float) -> str: ...
